@font-face {
    font-family: "Fifties Movies";
    src: url("/font/Fifties\ Movies.ttf");
}

@font-face {
    font-family: "FeENrm2";
    src: url("/font/FeENrm2.ttf");
}

body {
    background: url('img/cio60259.jpg');
    margin: 30px 50px;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    width: 93%;
    height: auto;
}

@media (max-width: 768px){p{
  line-height: 4.8;
}
}


div {
    background-color: black;
    display: flex;
    border-radius: 10px;
    align-items: stretch;
}

.leftbar {
    border: 5px groove rgba(239, 211, 145, 0.8);
    border-radius: 20px;
    float: left;
    width: 19%;
    background: rgba(221, 107, 1, 0.849);
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    overflow-x: hidden;
    height: 120vh;
    align-self: flex-start;
}

.centerbar {
    border: 5px groove rgba(239, 211, 145, 0.8);
    border-radius: 20px;
    width: 66%;
    background: rgba(255, 217, 0, 0.906);
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto;
    height: 120vh;
    align-self: flex-start;
}

.rightbar {
    width: 15%;
    background-color: rgba(221, 107, 1, 0.849);
    border: 5px groove rgba(239, 211, 145, 0.8);
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    float: right;
    overflow-y: auto;
    overflow-x: hidden;
    height: 120vh;
}

.title {
    background-color: black;
    display: flex;
    height: 120px;
    justify-content: center;
    border-radius: 20px;
    border: 5px groove rgba(239, 211, 145, 0.696);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    white-space: nowrap;
    position: relative;
    overflow: hidden;
    border-radius: 20px;
    max-width: 100%;
    box-sizing: border-box;
}

header h1 {
    letter-spacing: 7px;
    font-family: Fifties Movies;
    max-width: 80%;
    height: auto;
    margin: 30px 120px;
    font-size: 55px;
    color: rgba(215, 103, 31, 0.8);
}

.leftbar h3,
.rightbar h3 {
    letter-spacing: 7px;
    font-family: Fifties Movies;
    max-width: 60%;
    margin: 20px auto 0;
    text-align: center;
    letter-spacing: 20px;
    border-radius: 10px;
    border: 7px groove black;
    padding: 10px 20px 10px 15px;
    font-size: 1em;
    background-color: rgb(255, 191, 0);
    color: black;
    position: relative;
    overflow: hidden;
    border-radius: 20px;
    max-width: 100%;
    min-height: 2.5em;
    box-sizing: border-box;
}

.centerbar h3 {
    letter-spacing: 7px;
    font-family: Fifties Movies;
    max-width: 20%;
    border-radius: 10px;
    border: 7px groove black;
    padding: 10px 15px 8px 10px;
    margin: 10px;
    font-size: 35px;
    align-self: flex-start;
    background-color: #ffbf00;
    color: black;
    position: relative;
    border-radius: 20px;
    max-height: 3.5em;
    max-width: 90%;
    box-sizing: border-box;
    overflow-y: hidden;
}

.project-h3 {
    letter-spacing: 7px;
    font-family: Fifties Movies;
    max-width: 20%;
    border-radius: 10px;
    border: 7px groove black;
    padding: 10px 15px 8px 10px;
    margin: 10px;
    font-size: 35px;
    align-self: flex-start;
    background-color: #ffbf00;
    color: black;
    position: relative;
    border-radius: 20px;
    height: 3.5em;
    max-width: 90%;
    box-sizing: border-box;
}

.centerbar h5 {
    letter-spacing: 3px;
    font-family: Fifties Movies;
    max-width: 20%;
    border-radius: 10px;
    border: 7px groove black;
    padding: 7px 15px 10px 10px;
    margin: 0 10px 10px;
    font-size: 11px;
    align-self: flex-start;
    background-color: #93c437;
    color: black;
    position: relative;
    border-radius: 20px;
    max-height: 3.5em;
    max-width: 90%;
    box-sizing: border-box;
    overflow: hidden;
}

.submenu {
    background-color: #ffbf00;
}

.rightbar h3 {
    letter-spacing: 7px;
    font-family: Fifties Movies;
    max-width: 80%;
    letter-spacing: 1px;
    border-radius: 10px;
    border: 7px groove black;
    padding: 10px;
    font-size: 25px;
    background-color: rgb(255, 191, 0);
    color: black;
}

#marquee-placeholder, #marquee-placeholder2  {
    width: 100%;
    display: block;
}



.scrollbar {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgb(255, 191, 0);
    width: 90%;
    margin: 10px;
    padding: 0 0 10px;
    text-align: center;
    max-height: 100vh;
    scrollbar-color: black rgb(255, 191, 0);
}

.scrollbar-center {
    display: flex;
    flex-direction: column;
    align-items: left;
    background-color: rgb(192, 115, 0);
    width: 90%;
    justify-content: center;
    text-align: left;
    padding: 10px;
    height: auto;
    margin-bottom: 10px;
    display: flow-root;
    overflow-wrap: break-word;
    scrollbar-color: black rgb(192, 115, 0);
}

hr {
    width: 100%;
    height: 1px;
    border-top: 1px solid;
    border-top-color: currentcolor;
    border-bottom: 1px solid;
    border-bottom-color: currentcolor;
    border-left: 0;
    border-left-color: currentcolor;
    border-right: 0;
    border-right-color: currentcolor;
    margin-top: 0.5em;
    color: black;
    margin-bottom: 0.5em;
}

.index {
    padding: 0 10px 10px 35px;
}

.something-btn {
    background-color: #93c437; /*green */
    letter-spacing: 0.2em;
    font-size: 1.2em;
    font-family: Fifties Movies;
    text-align: left;
    border-radius: 10px;
    background-color: #93c437;
    border: 2px groove black;
    display: block;
    margin: 10px auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    white-space: nowrap;
    width: 100%;
    max-width: 250px;
    padding: 10px 15px;
    box-sizing: border-box;
}

header img {
    margin: 10px 20px;
    max-width: 100%;
    height: auto;
    display: block;
}

ul {
    list-style: none;
    padding-left: 0;
    margin: 10px 5px 0 0;
}

ul:active {
    display: block;
}

ul li {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 12px;
}

ul li::before {
    content: "";

    width: 24px;
    height: 24px;
    margin: 0;
    padding: 0;
    background-image: url("img/nanogram 98.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    flex-shrink: 0;
}

li {
    font-size: 20px;
    padding: 0 0 10px;
}

p,
li {
    font-family: FeEnrm2;
    font-size: 0.85em;
}

.scrollbar p {
    margin: 5px;
}

p i {
    color: #ebe8de;
}

#red-arrow-right {
    position: absolute;
    right: 2px;
    top: 40px;
    width: 13%;
    transform: rotate(60deg);
}

#red-arrow-left {
    position: absolute;
    right: 135px;
    top: 50px;
    width: 10%;
    transform: rotate(-60deg);
}

#button-link {
    position: sticky;
    right: 45px;
    bottom: 20px;
    width: 60%;
}

a {
   text-decoration: none;
  color: #93c437; 
  font-family: inherit; 
  font-size: inherit;   
  margin: 0;
  padding: 0;
}

a:hover {
    color: rgb(255, 191, 0);
}

.leftbar a {
    text-decoration: none;
    color: rgb(192, 115, 0);
}

.leftbar a:hover {
    color: #93c437;
}

.carosello {
    background-color: black;
    height: 20px;
    border-radius: 10px;
    border: 5px groove red;
    padding: 5px;
    overflow: hidden;
    white-space: nowrap;
    color: white;
    line-height: 20px;
}

.carosello-content {
    display: inline-flex;
    width: fit-content;
    animation: seamless-scroll 8s linear infinite;
}

.carosello:hover .carosello-content {
    animation-play-state: paused;
}

@keyframes seamless-scroll {
    0% {
        transform: translate(0);
    }
    100% {
        transform: translate(-50%);
    }
}

#bookcover {
    float: left;
    margin: 8px 10px 8px 6px;
    max-width: 200px;
    height: auto;
}

.scrollbar-center p {
    text-align: justify;
    margin: 0 0 0.5em;
}

.p-container p {
    margin: 0.5px;
}

/* Caption text for photo

<figure style="float: left; display: table; margin: 0 12px 8px 0; text-align: center;">
<img>
<figcaption style="font-style: italic; font-size: 0.9em; margin-top: 4px; float: left; clear: left;">something something</figcaption>
</figure>
*/
